Can't find device that mounts as '/srv'


#1

When going to the storage page I get the following error:

Remote request

{“module”: “storage”, “action”: “get_settings”, “kind”: “request”}

Stack trace

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/foris_controller_backends/storage/init.py”, line 31, in get_srv
r’^(/dev/[^ ]|ubi[^ ]) {} .*’.format(srv_mount_point)
File “/usr/lib/python3.6/site-packages/foris_controller_backends/files/init.py”, line 94, in _read_and_parse
raise FailedToParseFileContent(path, content)
foris_controller.exceptions.FailedToParseFileContent: /proc/mounts: /dev/mmcblk0p1 / btrfs rw,noatime,ssd,space_cache,commit=5,subvolid=256,subvol=/@ 0 0
proc /proc proc rw,noatime 0 0
sysfs /sys sysfs rw,noatime 0 0
none /sys/fs/cgroup cgroup rw,relatime,cpuset,cpu,cpuacct,blkio,memory,devices,freezer,net_cls,pids 0 0
tmpfs /tmp tmpfs rw,nosuid,nodev,noatime 0 0
tmpfs /dev tmpfs rw,relatime,size=512k,mode=755 0 0
devpts /dev/pts devpts rw,relatime,mode=600,ptmxmode=000 0 0
debugfs /sys/kernel/debug debugfs rw,noatime 0 0
none /srv tmpfs rw,relatime,size=51200k 0 0
mountd(pid8947) /tmp/run/mountd autofs rw,relatime,fd=5,pgrp=8943,timeout=60,minproto=5,maxproto=5,indirect 0 0
/dev/sda1 /tmp/run/mountd/sda1 ext4 rw,relatime,data=ordered 0 0

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/foris_controller/message_router.py”, line 114, in process_message
data = module_instance.perform_action(message[“action”], message.get(“data”, {}))
File “/usr/lib/python3.6/site-packages/foris_controller/module_base.py”, line 60, in perform_action
res = action_function(data)
File “/usr/lib/python3.6/site-packages/foris_controller_modules/storage/init.py”, line 11, in action_get_settings
return self.handler.get_settings()
File “/usr/lib/python3.6/site-packages/foris_controller/utils.py”, line 110, in inner
res = func(*args, **kwargs)
File “/usr/lib/python3.6/site-packages/foris_controller_modules/storage/handlers/openwrt.py”, line 20, in get_settings
return self.settings.get_srv()
File “/usr/lib/python3.6/site-packages/foris_controller_backends/storage/init.py”, line 36, in get_srv
.format(srv_mount_point)
LookupError: Can’t find device that mounts as ‘/srv’ and thus can’t decide what provides /srv!

How do I solve this? Do I need to do a factory reset? How do I do that?